/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */

/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package moka.io;

import moka.lang.Object;
import moka.lang.System;

/**
 * Class <code>Keyboard</code> is used to get low-level input from the
 * keyboard. Note that some methods has a static version. These methods are written with
 * an uppercase letter in this document to differenciate them from their instance counterparts, but they must be write with
 * a lowercase in a program. Ex: Keyboard.ngetchx() (Althrought it is written Ngetchx in this doccument)
 *
 * @author  Frdric Brown
 * @version 1.1, 2002-10-25
 * @since   MDK1.0a
 */
public class Keyboard extends moka.lang.Object {
	/** The number of key the keyboard class handle. */
	public static final short KEY_COUNT = 43;
	/** The number of system key the keyboard class handle. */
	public static final short SYSTEM_KEY_COUNT = 17;
	/** The number of alphabetic key the keyboard class handle. */
	public static final short ALPHA_KEY_COUNT = 26;
	
	/** The F1 key. */
	public static final short KEY_F1 = 268;
	/** The F2 key. */
	public static final short KEY_F2 = 269;
	/** The F3 key. */
	public static final short KEY_F3 = 270;
	/** The F4 key. */
	public static final short KEY_F4 = 271;
	/** The F5 key. */
	public static final short KEY_F5 = 272;
	/** The F6 key. */
	public static final short KEY_F6 = 273;
	/** The F7 key. */
	public static final short KEY_F7 = 274;
	/** The F8 key. */
	public static final short KEY_F8 = 275;
	/** The ESC key. */
	public static final short KEY_ESC = 264;
	/** The QUIT key. */
	public static final short KEY_QUIT = 4360;
	/** The APPS key. */
	public static final short KEY_APPS = 265;
	/** The SWITCH key. */
	public static final short KEY_SWITCH = 4361;
	/** The MODE key. */
	public static final short KEY_MODE = 266;
	/** The BACKSPACE key. */
	public static final short KEY_BACKSPACE = 0;
	/** The INS key. */
	public static final short KEY_INS = 0;
	/** The CLEAR key. */
	public static final short KEY_CLEAR = 0;
	/** The VARLNK key. */
	public static final short KEY_VARLNK = 0;
	/** The CHAR key. */
	public static final short KEY_CHAR = 0;
	/** The ENTER key. */
	public static final short KEY_ENTER = 0;
	/** The ENTRY key. */
	public static final short KEY_ENTRY = 0;	
	/** The STO key. */
	public static final short KEY_STO = 0;
	/** The RCL key. */
	public static final short KEY_RCL = 0;
	/** The SIGN key. */
	public static final short KEY_SIGN = 0;
	/** The MATH key. */
	public static final short KEY_MATH = 0;
	/** The MEM key. */
	public static final short KEY_MEM = 0;
	/** The ON key. */
	public static final short KEY_ON = 0;
	/** The OFF key. */
	public static final short KEY_OFF = 0;
	
	/* Various flags to indicate which keys are pressed.*/
	public byte key_Diamnd;
	public byte key_Shift;
	public byte key_2nd;
	public byte key_APPS;
	public byte key_ESC;
	public byte key_Right;
	public byte key_Down;
	public byte key_Left;
	public byte key_Up;
	public byte key_ENTER;
	public byte key_ENTER1;
	public byte key_ENTER2;
	public byte key_F1;
	public byte key_F2;
	public byte key_F3;
	public byte key_F4;
	public byte key_F5;
	public byte key_A;
	public byte key_B;
	public byte key_C;
	public byte key_D;
	public byte key_E;
	public byte key_F;
	public byte key_G;
	public byte key_H;
	public byte key_I;
	public byte key_J;
	public byte key_K;
	public byte key_L;
	public byte key_M;
	public byte key_N;
	public byte key_O;
	public byte key_P;
	public byte key_Q;
	public byte key_R;
	public byte key_S;
	public byte key_T;
	public byte key_U;
	public byte key_V;
	public byte key_W;
	public byte key_X;
	public byte key_Y;
	public byte key_Z;
	/*public byte key_0;
	public byte key_1;
	public byte key_2;
	public byte key_3;
	public byte key_4;
	public byte key_5;
	public byte key_6;
	public byte key_7;
	public byte key_8;
	public byte key_9;*/

	/**
	 * Initializes a newly allocated Keyboard.
	 */
	public Keyboard () {
	}

	/**
	 * Checks if any "system" key is pressed.
	 */
	public native void checkSysKeys () ;

	/**
	 * Wait for the user to press a key, then return the key.
	 *
	 * @return the key pressed
	 */
	public short ngetchx() {

		return 0;
	}
	
	/**
	 * Wait for the user to press a key, then return the key.
	 *
	 * @return the key pressed
	 */
	public static short Ngetchx() {
		return 0;
	}

	/**
	 * Checks to see if a keystroke is currently available. If so
	 * returns a nonzero integer (in fact, it returns the exactly same value as ngetchx); if not, it returns 0.
	 *
	 * @return a nonzero integer or 0 if no keystroke is currently available.
	 */
	public static short GetKey() {
		
		return 0;
	}

	/**
	 * Checks if any key of the keyboard is pressed.
	 */
	public native void checkKeys () ;
	/**
	 * Returns the first (in alphabetic order) of the alphabetic keys pressed.
	 * If no such key is pressed, the null character is returned.
	 *
	 * @return the first alphabetic key pressed or the null character if no such key is pressed.
	 */
	public native char readAlpha () ;

	/**
	 * Checks if a key is pressed.
	 *
	 * @return true if any key is pressed, false otherwize.
	 */
	public native boolean hit () ;

	/**
	 * Checks if a key stroke is available.
	 *
	 * @return true if a key stroke is available, false otherwize.
	 */
	public static native boolean kbhit () ;

	/**
	 * Flushes the keyboard queue.
	 */
	public native static void flush () ;

	/**
	 * Returns the key pressed in a specified delay. If two keys are pressed, the last key pressed is returned.
	 * If no key is pressed during the specified delay, the null character ('\0') is returned.
	 *
	 * @return the key actually pressed or null if no key is pressed.
	 * @param delay The delay
	 */
	public native static short getKey (int delay) ;

	/**
	 * Returns the key actually pressed. If two keys are pressed, the one with the lesser value is returned.
	 * If no key is pressed, the null character is returned.
	 *
	 * @return the key actually pressed or null if no key is pressed.
	 */
	public native short getKey () ;
}