/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */
 
/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package moka.x;

import moka.lang.Object;
import moka.x.Color;

/**
 * The Colored interface provides methods used to deal with colored
 * components.
 *
 * @author  Frdric Brown
 * @version 1.0, 2002-11-18
 * @since   MDK1.0a
 */
public interface Colored {	
	/** The background color for this component.  Should be only read.*/
	public short bgColor = 0;
	/** The foreground color for this component.  Should be only read.*/
	public short fgColor = 0;
 	
 	/**
 	 * Sets the background color of the component.
 	 *
 	 * @param color The background color of the component.
 	 */
	public void setBgColor (short color) ;
	
 	/**
 	 * Sets the foreground color of the component.
 	 *
 	 * @param color The foreground color of the component.
 	 */
	public void setFgColor (short color) ;
}