/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */

/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package moka.x;

import moka.x.CaptionedComponent;
import moka.util.Vector;
import moka.util.Enumeration;

/**
 * List class is a list selection component.
 *
 * @author  Frdric Brown
 * @version 1.0, 2003-03-07
 * @since   MDK1.0a
 */
public class List extends CaptionedComponent {

	/** A vector containing the items of this list. Should be only read.*/
	public Vector items;

	/** The selected item's index. Should be only read.*/
	public short index;

	/**
	 * Constructs a new List.
	 */
	public List () {
	}

	/**
	 * Paints the List.
	 */
	public native void paint() ;

	/**
	 * Frees the memory of system ressources used by this List
	 * object.
	 */
	public void finalize() {
	}

	/**
	 * This method is invoked by the GEM when the user interacts
	 * with the List.
	 */
	public void use () {
	}

	/**
	 * Returns the item identified by the selected index.
	 *
	 * @return The item identified by the selected index
	 */
	public moka.lang.Object getSelectedItem () {
		return new moka.lang.Object();
	}

	/**
	 * Updates the display of the list.
	 */
	public void update () {
	}

	/**
	 * Use the items in the specified Vector as the data
	 * for this List.
	 *
	 * @param data The Vector that contain the desired objects
	 */
	public void setListData (Vector data) {
	}

	/**
	 * Disposes of all ressources used by this List's
	 * elements.
	 *
	 * @since MDK1.01a
	 */
	public void clear () {}
}