/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2003 Frdric Brown
 */

/*
 *  This file is part of Moka API.
 *
 *  Moka API is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka API is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Moka API; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package moka.x;

import moka.x.Label;
import moka.x.MenuItem;
import moka.util.Vector;
import moka.lang.Character;

/**
 *  Menu class represents a pull-down menu component that is deployed from a menu bar. 
 *
 * Each item in a menu must belong to the MenuItem class.
 *
 * @author  Frdric Brown
 * @version 1.0, 2003-10-12
 * @since   MDK2.1
 */
public class Menu extends Label {
	/** A vector containing the items of this Menu.*/
	public Vector items;
	
	/*
	 * Constructs a newly allocated Menu.
	 */
	public Menu () {
		this("Menu");
	}
	
	/**
	 * Frees the memory of system ressources used by this Menu
	 * object.
	 */
	public void finalize() {

	}
	
	/*
	 * Constructs a new Menu specifying its caption.
	 *
	 * @param caption the Menu's caption.
	 */
	public Menu (String caption) {
	}
	
	/**
	 * Paints the Menu.
	 */
	public native void paint();
	
	/**
	 * Adds the specified MenuItem to this Menu.
	 * Same as this Menu items.add(i);
	 *
	 * @param i the MenuItem to add to this Menu.
	 */
	public void add (MenuItem i) {

	}
	
	/**
	 * Removes the specified Menu from this MenuBar.
	 * Same as this Menu items.remove(i);
	 *
	 * @param m the Menu to remove from this MenuBar
	 */
	public void remove (MenuItem i) {

	}
	
	/**
	 * Called when a PaintEvent occurs to paint the image of the container and
	 * stores it in its virtual memory.  The container is painted, then all its
	 * children are and finally its foreground is.  A PaintEvent occurs when the
	 * aspect of the container is altered or any of its children is.
	 */
	public void onPaint () {

	}
	
	/**
	 * Sets the visibility of the component.
	 * 
	 * @param b true if the component should be visible, false otherwize.
	 */
	public void setVisible (boolean b) {		

	}
	
	/**
	 * This method is invoked by the GEM when the user interacts
	 * with the ComboBox.
	 */
	public native void use () ;
}