/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */
 
/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package moka.x;

import moka.x.GEM;
import moka.x.Frame;
import moka.x.Button;
import moka.x.Label;
import moka.x.TextField;

/**
 * <code>OptionPane</code> makes it easy to pop up a standard dialog box that
 * prompts users for a value or informs them of something.
 *
 * @author  Frdric Brown
 * @version 1.0, 2002-11-13
 * @since   MDK1.0a
 */
public class OptionPane extends Frame {
	/** The dialog used when calling one of the "show" methods.*/
 	private static OptionPane dialog = null;
 	
    /** Type used for <code>showConfirmDialog</code>. */
    public static final short YES_NO_OPTION = 0;
    /** Type used for <code>showConfirmDialog</code>. */
    public static final short YES_NO_CANCEL_OPTION = 1;
    /** Type used for <code>showConfirmDialog</code>. */
    public static final short OK_CANCEL_OPTION = 2;
 	
    /** Default return value. */
    public static final short DEFAULT_OPTION = -1;
    /** Return value from class method if YES is chosen. */
    public static final short YES_OPTION = 0;
    /** Return value from class method if NO is chosen. */
    public static final short NO_OPTION = 1;
    /** Return value from class method if CANCEL is chosen. */
    public static final short CANCEL_OPTION = 2;
    /** Return value form class method if OK is chosen. */
    public static final short OK_OPTION = 0;
 	
 	/** The type of the option pane.*/
 	//private short type; 
 	
 	/** The selected option of this option pane.*/
 	private short option;
 	
 	/** The input value of this option pane.*/
 	private String value;
 	
 	/** The "ok" button.*/
 	private Button btnOk;

 	/** The "yes" button.*/
 	private Button btnYes;
 	
 	/** The "no" button.*/
 	private Button btnNo;
 	
 	/** The "cancel" button.*/
 	private Button btnCancel;
 	
 	/** The textfield used in input dialogs.*/
 	private TextField text;
 	
 	/** The label used in message and confirm dialogs.*/
 	private Label message;
 	
 	/**
 	 * Constructs a newly allocated OptionPane dialog.
 	 */
 	public OptionPane () {
 	}
 	
 	/**
 	 * Called at the end of the program to free the
 	 * ressources used by the static members of this class.
 	 */
 	public static void cleanup () {
 	}
 	
 	/**
 	 * Reinitializes the components of the OptionPane.
 	 */
 	private static void prepare () {
	}

    /**
     * Brings up an information-message dialog titled "Message". The
     * dialog will be centered on the screen.
     *
     * @param message The information-message to be displayed.
     */
 	public static void showMessageDialog (String message) {
 	}
 	
    /**
     * Brings up an information-message dialog. The
     * dialog will be centered on its parent.
     *
     * @param parent The parent of the dialog.
     * @param title The title of the dialog.
     * @param message The information-message to be displayed.
     */ 
 	public static void showMessageDialog (Container parent, String title, String message) {
 	}
 	
    /**
     * Shows a question-message dialog requesting input from the user. The 
     * dialog will be centered on the screen.
     *
     * @param message The question-message to be displayed.
     */
 	public static String showInputDialog (String message) {
 		return new String();
 	}

    /**
     * Shows a question-message dialog requesting input from the user. The 
     * dialog will be centered on its parent.
     *
     * @param parent The parent of the dialog.
     * @param title The title of the dialog.
     * @param message The question-message to be displayed.
     */ 	
 	public static String showInputDialog (Container parent, String title, String message) {
		
		return new String();
 	}
 	
    /**
     * Brings up a dialog with the options <i>Yes</i>,
     * <i>No</i> and <i>Cancel</i>; with the
     * title, <b>Select an Option</b>. The
     * dialog will be centered on the screen.
     *
     * @param message The message to be displayed.
     */
 	public static short showConfirmDialog (String message) {
 		return 0;
 	}
 	
    /**
     * Brings up a dialog with the specified options (a combination of
     *  <i>Yes</i>, <i>No</i> and <i>Cancel</i>); with the
     * specified title. The 
     * dialog will be centered on its parent.
     *
     * @param parent The parent of the dialog.
     * @param title The title of the dialog.
     * @param message The message to be displayed.
     * @param option The options to be displayed.
     */
 	public static short showConfirmDialog (Container parent, String title, String message, short option) {
		
		return 0;
 	}
 	
    /**
     * Invoked when an event is triggered.
     *
     * @param sender The object who triggered the event.
     */
 	public void eventTriggered (Object sender) {
 	}
}