/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */
 
/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package moka.x;

import moka.x.GEM;
import moka.lang.Character;
import moka.x.RadioButton;

/**
 * RadioGroup class represents a group of RadioButtons.
 *
 * @author  Frdric Brown
 * @version 1.0, 2002-11-21
 * @since   MDK1.0a
 */
public class RadioGroup extends moka.lang.Object {
	/** The selected RadioButton.  Should be only read.*/
	public RadioButton selected = null;
	
	/**
	 * Sets the RadioButton selected.
	 * 
	 * @param selected the RadioButton selected.
	 */
	public void setSelected (RadioButton selected) {
		if (this.selected) {
			this.selected.setChecked(false);
		}
		
		this.selected = selected;
	}
}