/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */
 
/*
 *  This file is part of Moka API.
 *
 *  Moka API is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka API is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Moka API; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package moka.x;

import moka.x.Container;
import moka.util.Vector;

/**
 * A ScollPanePanel is a scollable area.
 *
 * @author  Frdric Brown
 * @version 1.0, 2003-12-07
 * @since   MDK2.11
 */
public class ScrollPane extends Container {
	/**The virtual x position in the scrollable area. Should be only read.*/
	public short sX;
	/**The virtual y position in the scrollable area. Should be only read.*/
	public short sY;
	/** A flag specifying if the Scroll Pane will scroll automatically to the next component instead of scrolling progressively. Set to false by default.*/
	public boolean autoScroll;
	
	/** Is the vertical scroll bar should be visible. Should be only read.*/
	public boolean vScrollVisible;
	/** Is the horizontal scroll bar should be visible. Should be only read.*/
	public boolean hScrollVisible;
	
	/** A vector containing the items visible in the scrollable area. Should be only read.*/
	public Vector items;
	
	/**
	 * Constructs a newly allocated ScrollPane.
	 */
	public ScrollPane () {
	}

	/**
	 * Frees the memory of system ressources used by this ScrollPane
	 * object.
	 */
	public void finalize() {
	}

	/**
	 * Sets if the vertical scroll bar should be visible.
	 *
	 * @param b true to specify that the vertical scroll bar should be visible
	 */
	public void setVScrollVisible(boolean b) {
	}
	
	/**
	 * Sets if the horizontal scroll bar should be visible.
	 *
	 * @param b the horizontal scroll bar should be visible
	 */
	public void setHScrollVisible(boolean b) {
	}

	/**
	 * Sets the virtual X coordinate.
	 *
	 * @param sX the virtual X coordinate
	 */
	public void setSX (short sX) {
	}

	/**
	 * Sets the virtual Y coordinate.
	 *
	 * @param sY the virtual Y coordinate
	 */
	public void setSY (short sY) {
	}

	/**
	 * Paints the foreground of the panel.
	 */
	public native void paintForeground () ;
	
	/**
	 * Paints the children of this container to the virtual screen.
	 *
	 * param clip The SCR_RECT clip
	 */
	public void paintChildren (SCR_RECT_p clip) {
	}
	
	/**
	 * Makes the list of visible items.
	 */
	private void makeList() {
	}
	
	/**
	 * Called when a PaintEvent occurs to paint the image of the container and
	 * stores it in its virtual memory.  The container is painted, then all its
	 * children are and finally its foreground is.  A PaintEvent occurs when the
	 * aspect of the container is altered or any of its children is.
	 */
	public void onPaint () {
	}
	
	/**
	 * Returns the virtual width.
	 *
	 * @return the virtual width
	 */
	private short getVWidth () {
		
		return 0;
	}

	/**
	 * Returns the virtual height.
	 *
	 * @return the virtual height
	 */
	private short getVHeight () {
		
		return 0;
	}
	
	/**
	 * This method is invoked by the GEM when the user interacts
	 * with the container.
	 */
	public void use () {
	}
}