/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2003 Frdric Brown
 */

/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import moka.lang.System;//Import the class moka.lang.System
import moka.io.Graphics;//Import the class moka.io.Graphics
import moka.io.Gray;//Import the class moka.io.Gray
import moka.io.Keyboard;//Import the class moka.io.Keyboard
import moka.x.GEM;//Import the class moka.x.GEM

/**
 * This class is an grayscale Etch a Sketch application.
 *
 * @author  Frdric Brown
 */
public class Etch {
  public static void main () {
    short mX, mY;//Max pen coordinates
    short cX, cY;//Current pen coordinates
    short key;//The key pressed by the user.

    mX = GEM.LCD_WIDTH;//Assign the maximum x coordinate to mX.
    mY = GEM.USABLE_HEIGHT;//Assign the maximum y coordinate to mY.

    System.clrscr();//Clear the screen

	/*Print a welcome message.*/
    System.println("Welcome to Etch a Sketch");
    System.println("Use the arrow keys to draw");
    System.println("your figure.");
    System.println("To erase it, press CLEAR.");
    System.println("To change the color to ");
    System.println("light gray, press 'l'");
    System.println("dark gray, press 'd'");
    System.println("black, press 'b'.");
    System.println("To exit, press ESC.");

    /*Wait for the user to press a key.*/
    System.read();

    /*Centers the pen and erases the screen.*/
    Graphics.clrscr();
    cX = mX / 2;
    cY = mY / 2;

	Graphics.setGray(Gray.BLACK);

    do {
      key = Keyboard.ngetchx();//Read a key
      System.stEraseHelp();//Erases the message in the status bar

      if (key == System.KEY_UP && (cY - 10 >= 0)) {//If the key pressed is the up key
        Graphics.drawLine(cX, cY, cX, cY - 10, Graphics.NORMAL_ATTR);//Draw a line to the next point
        cY -= 10;
      }
      else if (key == System.KEY_DOWN && (cY + 10 < mY)) {//If the key pressed is the down key
        Graphics.drawLine(cX, cY, cX, cY + 10, Graphics.NORMAL_ATTR);//Draw a line to the next point
        cY += 10;
      }
      else if (key == System.KEY_LEFT && (cX - 10 >= 0)) {//If the key pressed is the left key
        Graphics.drawLine(cX, cY, cX - 10, cY, Graphics.NORMAL_ATTR);//Draw a line to the next point
        cX -= 10;
      }
      else if (key == System.KEY_RIGHT && (cX + 10 < mX)) {//If the key pressed is the right key
        Graphics.drawLine(cX, cY, cX + 10, cY, Graphics.NORMAL_ATTR);//Draw a line to the next point
        cX += 10;
      }
      else if (key == 'l') {//If the key pressed is 'l'
      	Graphics.setGray(Gray.LIGHT_GRAY);//Set the grayscale to LIGHT_GRAY
      }
      else if (key == 'd') {//If the key pressed is 'd'
      	Graphics.setGray(Gray.DARK_GRAY);//Set the grayscale to GRAY_GRAY
      }
      else if (key == 'b') {//If the key pressed is 'b'
      	Graphics.setGray(Gray.BLACK);//Set the grayscale to BLACK
      }
      else if (key == Keyboard.KEY_CLEAR) {
        /*Centers the pen and erases the screen.*/
        Graphics.clrscr();
        cX = mX / 2;
        cY = mY / 2;
      }
    }
    while (key != Keyboard.KEY_ESC) ;//While ESC key is not pressed
  }
}