/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */
 
/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import moka.lang.System;
import moka.lang.Integer;

import moka.io.Serializable;
import moka.io.File;

/**
 * This class is an example of program that uses the Serializable class.
 *
 * @author  Frdric Brown
 */
public class Serial extends Serializable {
	/** A single int field.*/
	public int val;
	
	public static void main () {
		File f = new File("test");//Instanciate a new File to manipulate a file named "test"
		Object obj;//A reference to an Object
		
		System.clrscr();//Clear the screen
		
		System.print("Please enter an integer: ");//Show a message to the user
		
		obj = new Serial(Integer.parseInt(System.readLine()));//Instanciate a new Serial with an integer parsed from the user's input
		
		System.println();//New line
		
		System.println(obj);//Prints the object before writing it.
		
		f.open(File.MODE_WRITE);//Open the file in write mode
		
		f.writeObject(obj);//Writes the object
		
		obj.finalize();//Finalize the original object
		
		f.close();//Close the file
		
		f.open(File.MODE_OPEN_READ);//Open the file in read mode
		
		obj = f.readObject();//Read an object from the file
		
		f.close();//Close the file
		
		System.println(obj);//Print the object read from the file (should be the same that the saved object)
		
		obj.finalize();//Finalize the read object
		
		f.finalize();//Finalize the file object
		
		System.read();//Wait for the user to press a key
	}
	
	/**
	 * Construct a new Serial, initializing val to the
	 * specified value.
	 * @param val The desired value.
	 */
	public Serial (int val) {
		this.val = val;
	}
	
	/**
	 * Returns a String representation of this Serial.
	 * In fact return the val attribute converted to a String.
	 *
	 * @return a String representation of this Serial.
	 */
	public String toString () {
		return String.valueOf(this.val);
	}
}