/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2003 Frdric Brown
 */
 
/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import moka.lang.System;
import moka.lang.Error;

/**
 * This class is an example of program that throws and catches errors.
 *
 * @author  Frdric Brown
 */
public class TryCatch {
	
    /**
     * The main method is the entry point of a Moka program.
    */
	public static void main () {
		short i;//Declare i as an integer
		
		try {
			System.println("Select 1, 2 or 3.");//Print "Select 1, 2 or 3."
			i = (short) System.read() - '0';//Obtain the numeric value of the key pressed (ex: '1' = 1)
			
			switch (i) {
				case 1: {
					throw new Error();//Throws a new Error
					break;
				}
				case 2: {
					throw new Error1();//Throws a new Error1
					break;
				}
				case 3: {
					throw new Error2();//Throws a new Error2
					break;
				}
			}
		}
		catch (Error2 e) {
			System.println("3 selected.");//Print "3 selected."
		}
		catch (Error1 e) {
			System.println("2 selected.");//Print "2 selected."
		}
		catch (Error e) {
			System.println("1 selected.");//Print "1 selected."
		}
		finally {
			System.println("Enter finally.");//Print "Enter finally."
		}
		
		System.read();//Wait for the user to press a key
	}
}