/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2003 Frdric Brown
 */

/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import moka.io.File;//Import the class moka.io.File

/**
 * This program shows the VAR-LINK dialog to the user and exports the string "exported" to the variable
 * selected.
 *
 * @author  Frdric Brown
 */
public class VarLnk {
    /**
     * The main function is the entry point of a Moka program.
    */
    public static void main () {
		File f;//A file reference
		
		f = File.showVarLinkDialog();//Assign to f the file selected by the user in the dialog
		
		if (f != null) { //If a file has been selected (if the user canceled, showVarLinkDialog returns null)
			if (f.exists()) {//If f is a valid file
				File.export(f.name.toString(), "exported");//Export the string "exported" to the variable identified by f
			}
			
			f.finalize();//Dispose of file f
		}		
    }
}