/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */

/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import moka.x.Frame;
import moka.x.Button;

/**
 * This class is a windowed "Hello world!".
 *
 * @author  Frdric Brown
 */
public class Hello extends Frame {
	/** The quit button.*/
	private Button btnQuit;

	/**
	 * Constructs a new Hello frame.
	 */
	public Hello () {
		super("Hello world!");//Call the superclass' constructor, passing the string "Hello world!" as argument

		this.setBounds(0s, 0s, 150s, 100s);//Set the bounds of this frame to x=0, y=0, width=150 and height=100
		this.setMinimizeButtonVisible(false);//Hide the minimize button of the title bar
		this.defaultCloseOperation = Frame.EXIT_ON_CLOSE;//Set the default close operation for this frame to EXIT ON CLOSE

		this.btnQuit = new Button("Quit");//Instantiate a new Button labeled "Quit"
		this.btnQuit.setBounds(0s, 0s, 40s, 17s);//Set the bounds of the quit button to x=0, y=0, width=40 and height=17
		this.btnQuit.setMnemonic('Q');//Set the mnemonic for the quit button to 'Q'
		this.btnQuit.listen = this;//Set this frame as EventListener for the quit button
		this.add(this.btnQuit);//Add the quit button into this frame
		this.btnQuit.center();//Center the button
	}

	/**
	 * Called when an Event occurs.
	 */
	public void eventTriggered (Object sender) {
		if (sender == this.btnQuit) {//If the sender is the quit button
			this.dispose();//Dispose of this window
		}
	}

	public static void main () {
		Hello h = new Hello();//Instantiate a new Hello Frame
		h.setVisible(true);//Show the Hello frame
	}
}