/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */

/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import moka.x.Frame;
import moka.x.Image;
import moka.x.OptionPane;

/**
 * This class represents a window with a picture in it.
 *
 * @author  Frdric Brown
 */
public class ImgFrame extends Frame {
	/** An Image.*/
	private Image image;

	/**
	 * Constructs a new Img frame.
	 */
	public ImgFrame () {
		super("What a pic !");//Call the superclass' constructor, passing the string "What a pic !" as argument

		this.setBounds(0s, 0s, 150s, 100s);//Set the bounds of this frame to x=0, y=0, width=150 and height=100
		this.setMinimizeButtonVisible(false);//Hide the minimize button of the title bar
		this.defaultCloseOperation = Frame.EXIT_ON_CLOSE;//Set the default close operation for this frame to EXIT ON CLOSE

		this.image = new Image(OptionPane.showInputDialog((Container)null, "Open", "File name ?"));//Instantiate a new Image displaying the pic submitted by the user
		this.image.setBounds(2s, 15s, 60s, 60s);//Set the bounds of the img image to x=2, y=15, width=60 and height=60
		this.add(this.image);//Add image into this frame
	}

	/**
	 * The main static method, the entry point of the program.
	 */
	public static void main () {
		ImgFrame f = new ImgFrame();//Instantiate a new Radio Frame

		f.setVisible(true);//Show the Radio frame
	}
}