/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */
 
/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import moka.event.EventListener;
import moka.x.OptionPane;

/**
 * This class is a modified version of the "Hello world!" example using the OptionPane class.
 *
 * @author  Frdric Brown
 */
public class OPane extends EventListener {
	
	/**
	 * The main static method, the entry point of the program.
	 */
	public static void main () {
		OPane op = new OPane();//Instanciate a new OPane
		
		String str;
		String name;
		
		do {
			str = "Hello ";//Initialize the String str with "Hello "
			
			name = OptionPane.showInputDialog("Please enter your name :");//Show a input dialog asking "Please enter your name :"
			
			if (name) {//If the user clicked on the ok button of the input dialog (if the user clicked cancel, name will be == null)
				str.concat(name);//Concatenate the name to "hello "
				str.append('!');//Append '!' at the end of str
				OptionPane.showMessageDialog(str);//Show a message dialog displaying "Hello " + name + '!'
			}
			else {//If the user clicked on the cancel button of the input dialog
				str.finalize();//Finalize str
				break;//Exit the do ... while loop
			}
			
			if (OptionPane.showConfirmDialog((Container)null, "Select an option", "Do you want to retry ?", OptionPane.YES_NO_OPTION)) {//If the user don't click on the yes button of the confirm dialog. 
				break;//Exit the do ... while loop
			}
		}
		while (true);//Loop until a break instruction occurs
		
		op.finalize();//Finalize op
	}
}