/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */

/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import moka.x.Frame;
import moka.x.TextField;
import moka.x.Button;


/**
 * This class represents screen locker utility.
 *
 * @author  Frdric Brown
 */
public class Passwd extends Frame {
	/** A TextField.*/
	private TextField txtPasswd;
	/** The password.*/
	private String pass = "exit";

	/**
	 * Constructs a new Passwd frame.
	 */
	public Passwd () {
		super("Calculator locked!");//Call the superclass' constructor, passing the string "Calculator locked" as argument

		this.movable = false;//Set this frame as non movable
		this.setBounds(0s, 0s, GEM.LCD_WIDTH, GEM.LCD_HEIGHT);//Set the bounds of this frame to x=0, y=0, width=LCD_WIDTH and height=LCD_HEIGHT
		this.setMinimizeButtonVisible(false);//Hide the minimize button of the title bar
		this.setCloseButtonVisible(false);//Hide the close button of the title bar
		
		this.txtPasswd = new TextField();//Instantiate a new TextField
		this.txtPasswd.mask = '*';//Set the mask to '*'
		this.txtPasswd.setBounds(0s, 0s, 90s, 20s);//Set the bounds of txtPasswd to x=0, y=0, width=90 and height=20
		this.txtPasswd.listen = this;//Set this frame as EventListener for txtPasswd
		this.add(this.txtPasswd);//Add txtPasswd into this frame
		this.txtPasswd.center();//Center txtPasswd
	}

	/**
	 * Called when an Event occurs.
	 */
	public void eventTriggered (Object sender) {
		if (sender == this.txtPasswd) {//If the sender is txtPasswd
			if (this.txtPasswd.caption.equals(this.pass)) {//If the password is correct
				this.dispose();//Dispose of this window
			}
		}
	}

    /**
     * Frees the ressources used by this object.
     */
	public void finalize () {
		this.pass.finalize();
		super.finalize();
	}

	/**
	 * The main static method, the entry point of the program.
	 */
	public static void main () {
		Passwd f = new Passwd();//Instantiate a new Passwd Frame

		System.clrscr();//Clears the screen
		GEM.gem.setBackground();//Sets a blanck screen as background

		f.setVisible(true);//Show the Passwd frame
	}
}