/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */

/*
 *  This file is part of Moka.
 *
 *  Moka is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Moka; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

import moka.x.Frame;
import moka.x.Button;
import moka.x.ScrollPane;

/**
 * This class shows the use of moka.x.ScrollPane.
 *
 * @author  Frdric Brown
 */
public class Scroll extends Frame {
	/** The scroll pane.*/
	private ScrollPane pane;

	/**
	 * Constructs a new Scroll frame.
	 */
	public Scroll () {
		Button btn;
		
		super("ScrollPane demo");//Call the superclass' constructor, passing the string "Scoll pane demo" as argument

		this.setBounds(0s, 0s, 150s, 100s);//Set the bounds of this frame to x=0, y=0, width=150 and height=100
		this.setMinimizeButtonVisible(false);//Hide the minimize button of the title bar
		this.defaultCloseOperation = Frame.EXIT_ON_CLOSE;//Set the default close operation for this frame to EXIT ON CLOSE
		
		this.pane = new ScrollPane(); //Instanciate a ScrollPane
		this.pane.setBounds(5, 20, 140, 70);//Set the bounds of the pane to x=5, y=20, width=140 and height=75
		
		//this.pane.autoScroll = true; //Uncomment to see the effect of the autoScroll feature
		
		this.add(this.pane);//Add the scroll pane into this frame

		for (short i = 0; i < 10; i++) {
			btn = new Button(String.valueOf(i));//Instantiate a new Button labeled by the number i
			btn.setBounds(i * 20, i * 20, 15, 15);//Set the bounds of the button to x=i * 20, y=i * 20, width=15 and height=15
			this.pane.add(btn);//Add the button into this frame
		}
	}

	public static void main () {
		Scroll s = new Scroll();//Instantiate a new Scroll Frame
		s.setVisible(true);//Show the Scroll frame
	}
}